### Method

# Clapper Queue get_current_item

#### Declaration [src]

    ClapperMediaItem*
    clapper_queue_get_current_item (
      ClapperQueue* queue
    )

#### Description [src]

Get the currently selected `ClapperMediaItem`.

Gets property | `Clapper.Queue:current-item`

#### Return value

Type: `ClapperMediaItem`

The current `ClapperMediaItem`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.